-----------------------------------------------------------
Settings stored in 'kexirc' config file

This is official list.
All other settings are unofficial and are subject to change.

Started: 2004-08-20, js
-----------------------------------------------------------

Group: MainWindow
# percentage width of the Project Navigator pane
-LeftDockPosition [integer: 0..100]

# True if the Project Navigator pane is visible after startup.
-ShowProjectNavigator [boolean] (default: true)

# True if single click should open item in the Project Navigator.
# Otherwise double click should be used to open item.
# Meaningful when "single click to open files" option is set
# in the Control Center.
- SingleClickOpensItem [boolean] (default: true on Windows, system settings elsewhere)

# Controls display of the global search box.
# This option allows to disable the box if it crashes for reason unrelated to KEXI
# (as in bug #390794).
- GlobalSearchBoxEnabled [boolean] (default: true)

Group: PropertyEditor
# Font size in pixels. Obsolete since KEXI 3. See FontPointSize instead.
-FontSize [integer] (default: system settings)
# Font size in points.
-FontPointSize [double] (default: system settings)

Group: Notification Messages
-AskBeforeDeleteRow [boolean] (default: true)
TODO: -askBeforeOpeningFileReadOnly [boolean] (default: true)

# If true, warning messages related to plugins, e.g.
# "Errors encountered during loading plugins"
# will be displayed on the application's startup.
-ShowWarningsRelatedToPluginsLoading [boolean] (default: true)

Group: General
# especially useful for SQL-related messages
TODO: -alwaysShowDetailsInMsgBoxes [boolean] (default: true for advanced KEXI mode)

# True if internal debugger window should be displayed with KEXI.
# The window shows database operations and enables extra actions like 'Show Form UI Code'
# in the Form Designer.
# Only available when KEXI_DEBUG_GUI build option is enabled.
-ShowInternalDebugger [boolean] (default: false)

# True if two-digit year formats for dates are allowed, e.g. 5/20/18 (month/day/year as for en_US).
# If false, KEXI alters the formats by replacing two-digits with four-digits for year.
# The goal is accuracy, that is ensuring clarity for dates regardless of century, e.g. 2018
# versus 1918.
# This setting affects input and display of date and date/time types.
# Since 3.2.0
-AllowTwoDigitYearFormats [boolean] (default: false)

Group: File Dialogs
# If the KEXI_USE_KFILEWIDGET build option is on and UseKFileWidget is true,
# KF5's KFileWidget-based widget is used in places where embedded file widget is needed.
# If the KEXI_USE_KFILEWIDGET build option is on and UseKFileWidget is false,
# simple file requester widget is used in places where embedded file widget is needed.
# To delete the override, delete the UseKFileWidget option in the aplication's config file.
-UseKFileWidget [boolean] (default: not present)

Group: Recent Dirs
# A list of recently displayed directories in file dialogs related to images (e.g. images within forms).
# See KexiImageBox::slotInsertFromFile() and slotSaveAs();
TODO: -LastVisitedImagePath [URL list] (default: empty)

Group: TableView
TODO: -add default values for KexiTableView::Appearance

Group: TableDesigner
TODO: -autogeneratePrimaryKeysOnTableDesignSaving [boolean]
TODO: -defaultFieldType [the list of types], default=Text
TODO: -autoPrimaryKeyForFieldNames [stringlist]
TODO: -defaultIntegerFieldSubtype [the list of types (byte, short, etc.)] default=long

# Settings related to handling of database tables
Group: Tables
# value of DefaultTextFieldMaxLength should be also used on other places where we create tables with Text fields, e.g. on table importing
# Default maximum length for fields of type Text
TODO: -DefaultMaxLengthForTextFields [int] (0: unlimited or up to engine's limit, default=0)

Group: QueryDesigner
TODO: -autoJoinOnTableInserting [boolean]

Group: KeyboardNavigation
TODO: -cursorPlacementAfterLastOrFirstFormField [stringlist: nextOrPrevRecord|firstOrLastField(default)]

Group: Forms
TODO:-overrideStyleName [string] (empty if do not override)
TODO:-doNotFocusAutonumberFields [boolean] (true by default; when this and autoTabStop for a form is true,
                                         autonumber text fields are skipped)
                                         implement this in KexiFormView::afterSwitchFrom()
TODO:-appendColonToAutoLabels [boolean] (true by default; when true, colon character is appended
                                      to autolabel text)
TODO:-makeFirstCharacterUpperCaseInAutoLabels [boolean] (true by default; when true, first character
                                      in autolabel text is converted to upper case.
                                      Usable when no field's title is provided)
TODO:-labelPositionInAutoLabels [enum: Left, Top] (Left by default)

TODO:-gridSize [int] (default: 10)

Group: NewFormDefaults
TODO: -styleName [string]
TODO: -autoTabStop [boolean]

Group: ImportExport
# Default character encoding for MS Access MDB/MDE files (older than 2000).
# Currently used by in Advanced Options of Importing Wizard.
# Useful if you are performing many imports of MS Access databases.
# Valid values can be "cp 1250", "cp 1251", etc. Case insensitive.
# If not provided, system default will be is assumed.
-DefaultEncodingForMSAccessFiles [string] (default: system specific)

# Default character encoding for importing CSV (Comma-Separated Value) files.
# If not provided, system default will be is assumed.
-DefaultEncodingForImportingCSVFiles [string] (default: system locale)

# True if options should be visible in the "CSV Export dialog".
-ShowOptionsInCSVExportDialog [boolean] (default: false)

# If provided, appropriate options for CSV Export Dialog will be loaded
-StoreOptionsForCSVExportDialog [boolean] (default: false)

# Default delimiter used for exporting CSV (Comma-Separated Value) files.
-DefaultDelimiterForExportingCSVFiles [string] (default: ",")

# Default text quote character used for exporting CSV (Comma-Separated Value) files.
-DefaultTextQuoteForExportingCSVFiles [string] (default: ")

# Import missing text values in CSV files as empty text ('' not NULL).
-ImportNULLsAsEmptyText [boolean] (default: true)

# Default character encoding for exporting CSV (Comma-Separated Value) files.
# If not provided, system default will be is assumed.
# Only used when StoreOptionsForCSVExportDialog option is true.
-DefaultEncodingForExportingCSVFiles [string] (default: UTF-8)

# Default setting used to specify whether column names should be added as the first row
# for exporting CSV (Comma-Separated Value) files.
# Only used when StoreOptionsForCSVExportDialog option is true.
-AddColumnNamesForExportingCSVFiles [string] (default: true)

# Maximum number of rows that can be displayed in the CSV import dialog.
# Used to decrease memory consumption.
-MaximumRowsForPreviewInImportDialog [int] (default: 100)

# Maximum number of bytes that can be loaded to preview the data in the CSV
# import dialog. Used to decrease memory consumption and speed up the GUI.
-MaximumBytesForPreviewInImportDialog [int] (default: 10240)

Group: Recent Dirs
# A list of recently displayed directories in file dialogs related to CSV
  import/export.
-CSVImportExport [URL list] (default: empty)

# A list of recently displayed directories in "Source database" file dialog
  of Project Migration
-ProjectMigrationSourceDir [URL list] (default: empty)

# A list of recently displayed directories in "Destination database" file
  dialog of Project Migration
-ProjectMigrationDestinationDir [URL list] (default: empty)

# A list of recently displayed directories in "Open existing project"
  and "Create new project" file dialog of Startup Dialog
-OpenExistingOrCreateNewProject [URL list] (default: empty)

# A list of recent displayed directories in a file dialogs used for dowloading
  example databases (Get Hot New Stuff)
TODO: -DownloadExampleDatabases [URL list] (default: empty)
